Package org.eclipse.net4j.util.io

## Class ZIPUtil

- java.lang.Object
- - org.eclipse.net4j.util.io.ZIPUtil

-     public final class ZIPUtil
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ZIPUtil.EntryContext` |
    `static class` | `ZIPUtil.FileSystemUnzipHandler` |
    `static class` | `ZIPUtil.FileSystemZipHandler` |
    `static interface` | `ZIPUtil.UnzipHandler` |
    `static interface` | `ZIPUtil.ZipEntryHandler` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFALULT_BUFFER_SIZE` | Deprecated. As of 3.4 use `DEFAULT_BUFFER_SIZE`.
    `static int` | `DEFAULT_BUFFER_SIZE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `unzip​(java.io.File zipFile, java.io.File targetFolder)` |
    `static void` | `unzip​(java.io.File zipFile, ZIPUtil.UnzipHandler handler)` |
    `static void` | `zip​(java.io.File sourceFolder, boolean excludeRoot, java.io.File zipFile)` |
    `static void` | `zip​(ZIPUtil.ZipEntryHandler handler, java.io.File zipFile)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFALULT_BUFFER_SIZE

          @Deprecated
          public static final int DEFALULT_BUFFER_SIZE

      Deprecated.
      As of 3.4 use `DEFAULT_BUFFER_SIZE`.
      See Also:
        Constant Field Values

    - #### DEFAULT_BUFFER_SIZE

          public static final int DEFAULT_BUFFER_SIZE

      Since:
        3.4
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### zip

          public static void zip​(ZIPUtil.ZipEntryHandler handler,
                                 java.io.File zipFile)
                          throws IORuntimeException

      Throws:
        `IORuntimeException`

    - #### zip

          public static void zip​(java.io.File sourceFolder,
                                 boolean excludeRoot,
                                 java.io.File zipFile)

    - #### unzip

          public static void unzip​(java.io.File zipFile,
                                   ZIPUtil.UnzipHandler handler)
                            throws IORuntimeException

      Throws:
        `IORuntimeException`

    - #### unzip

          public static void unzip​(java.io.File zipFile,
                                   java.io.File targetFolder)
                            throws IORuntimeException

      Throws:
        `IORuntimeException`